Utopia PaymentsDocs
Checkout sessions

Retrieve a checkout session

GET
/checkout_sessions/{id}

Authorization

secretKey
AuthorizationBearer <token>

Your secret key: sk_live_… or sk_test_….

In: header

Path Parameters

id*string
Match^cks_[0-9a-f]{32}$

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/checkout_sessions/cks_3f2b8c1e9a4d4e7b8c2a1d5e6f7a8b9c"
{  "object": "checkout_session",  "session_id": "cks_3f2b8c1e9a4d4e7b8c2a1d5e6f7a8b9c",  "kind": "payment",  "status": "open",  "checkout_url": "http://example.com",  "total_amount": 0,  "currency": "AED",  "product_cart": [    {      "product_id": "pdt_3f2b8c1e9a4d4e7b8c2a1d5e6f7a8b9c",      "name": "string",      "quantity": 0,      "unit_amount": 0    }  ],  "customer": {    "name": "string",    "email": "string",    "phone_number": "string"  },  "return_url": "string",  "payment_id": "pay_3f2b8c1e9a4d4e7b8c2a1d5e6f7a8b9c",  "subscription_id": "sub_3f2b8c1e9a4d4e7b8c2a1d5e6f7a8b9c",  "metadata": {    "property1": "string",    "property2": "string"  },  "livemode": true,  "created_at": "2019-08-24T14:15:22Z",  "expires_at": "2019-08-24T14:15:22Z",  "completed_at": "2019-08-24T14:15:22Z"}